Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.neural.neat.training
Class NEATParams

    java.lang.Object
      org.encog.neural.neat.training.NEATParams

    public class NEATParams

extends Object

Field Summary
`double` | `activationMutationRate` The activation mutation rate.
`double` | `chanceAddLink` The likelyhood of adding a link.
`double` | `chanceAddNode` The likelyhood of adding a node.
`double` | `chanceAddRecurrentLink` THe likelyhood of adding a recurrent link.
`double` | `compatibilityThreshold` The compatibility threshold for a species.
`double` | `crossoverRate` The crossover rate.
`double` | `maxActivationPerturbation` The max activation perturbation.
`int` | `maxNumberOfSpecies` The maximum number of species.
`double` | `maxPermittedNeurons` The maximum number of neurons.
`double` | `maxWeightPerturbation` The maximum weight perturbation.
`double` | `mutationRate` The mutation rate.
`int` | `numAddLinkAttempts` The number of link add attempts.
`int` | `numGensAllowedNoImprovement` The number of generations allowed with no improvement.
`int` | `numTrysToFindLoopedLink` The number of tries to find a looped link.
`int` | `numTrysToFindOldLink` The number of tries to find an old link.
`double` | `probabilityWeightReplaced` The probability that the weight will be totally replaced.

Constructor Summary
`NEATParams()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### activationMutationRate

    public double activationMutationRate

  The activation mutation rate.

### chanceAddLink

    public double chanceAddLink

  The likelyhood of adding a link.

### chanceAddNode

    public double chanceAddNode

  The likelyhood of adding a node.

### chanceAddRecurrentLink

    public double chanceAddRecurrentLink

  THe likelyhood of adding a recurrent link.

### compatibilityThreshold

    public double compatibilityThreshold

  The compatibility threshold for a species.

### crossoverRate

    public double crossoverRate

  The crossover rate.

### maxActivationPerturbation

    public double maxActivationPerturbation

  The max activation perturbation.

### maxNumberOfSpecies

    public int maxNumberOfSpecies

  The maximum number of species.

### maxPermittedNeurons

    public double maxPermittedNeurons

  The maximum number of neurons.

### maxWeightPerturbation

    public double maxWeightPerturbation

  The maximum weight perturbation.

### mutationRate

    public double mutationRate

  The mutation rate.

### numAddLinkAttempts

    public int numAddLinkAttempts

  The number of link add attempts.

### numGensAllowedNoImprovement

    public int numGensAllowedNoImprovement

  The number of generations allowed with no improvement.

### numTrysToFindLoopedLink

    public int numTrysToFindLoopedLink

  The number of tries to find a looped link.

### numTrysToFindOldLink

    public int numTrysToFindOldLink

  The number of tries to find an old link.

### probabilityWeightReplaced

    public double probabilityWeightReplaced

  The probability that the weight will be totally replaced.

Constructor Detail

### NEATParams

    public NEATParams()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.